@echo off

if not exist .\mantis\mialib.conf goto error_conf
if not exist .\mantis\mia.dll goto error_mia
if not exist mregister.exe goto error_mregister

SET MIA_LIBRARY_PATH=.\mantis\mialib.conf
SET MIA_SHARED_PATH=.\mantis\mia.dll

mregister audio_pcminfo.dll

SET MIA_LIBRARY_PATH=
SET MIA_SHARED_PATH=

echo PCM Info installation successful.
goto fin

:error_conf
echo Error - cannot find .\mantis\mialib.conf...
goto fin

:error_mia
echo Error - cannot find .\mantis\mia.dll...
goto fin

:error_mregister
echo Error - cannot find mregister.exe...
goto fin

:fin
pause
@echo on
